@echo off

kcs b8 b0 80 00 00

echo Update Root File System
socflash cs=0 if=..\..\..\fw\235.bin offset=0x300000 count=0xd00000 skip=0x300000

echo Update Kernel
socflash cs=0 if=..\..\..\fw\235.bin offset=0x100000 count=0x1F0000 skip=0x100000

echo Update Bootloader
socflash cs=0 if=..\..\..\fw\235.bin count=0x40000

